## WnckApplication

WnckApplication —

## Synopsis

    struct      WnckApplicationPrivate;
    WnckApplication* wnck_application_get       (gulong xwindow);
    gulong      wnck_application_get_xid        (WnckApplication *app);
    GList*      wnck_application_get_windows    (WnckApplication *app);
    int         wnck_application_get_n_windows  (WnckApplication *app);
    const char* wnck_application_get_name       (WnckApplication *app);
    const char* wnck_application_get_icon_name  (WnckApplication *app);
    int         wnck_application_get_pid        (WnckApplication *app);
    GdkPixbuf*  wnck_application_get_icon       (WnckApplication *app);
    GdkPixbuf*  wnck_application_get_mini_icon  (WnckApplication *app);
    gboolean    wnck_application_get_icon_is_fallback
                                                (WnckApplication *app);
    const char* wnck_application_get_startup_id (WnckApplication *app);

## Description

## Details

### struct WnckApplicationPrivate

    struct WnckApplicationPrivate;

### wnck_application_get ()

    WnckApplication* wnck_application_get       (gulong xwindow);

`xwindow` : |
Returns : |

### wnck_application_get_xid ()

    gulong      wnck_application_get_xid        (WnckApplication *app);

Gets the X id of the group leader window for the app.

`app` : | a WnckApplication
Returns : | X id for the app

### wnck_application_get_windows ()

    GList*      wnck_application_get_windows    (WnckApplication *app);

Gets a list of all windows belonging to `app`. The list is returned by reference and should not be freed.

`app` : | a WnckApplication
Returns : | list of WnckWindow in this app

### wnck_application_get_n_windows ()

    int         wnck_application_get_n_windows  (WnckApplication *app);

`app` : |
Returns : |

### wnck_application_get_name ()

    const char* wnck_application_get_name       (WnckApplication *app);

Gets the name of an application, employing various suboptimal heuristics to try to figure it out. Probably GTK should have a function to allow apps to set _NET_WM_NAME on the group leader as the app name, and the WM spec should say that's where the app name goes.

`app` : | a WnckApplication
Returns : | name of the application

### wnck_application_get_icon_name ()

    const char* wnck_application_get_icon_name  (WnckApplication *app);

Gets the icon name of an application, employing various suboptimal heuristics to try to figure it out.

`app` : | a WnckApplication
Returns : | name of the application when minimized

### wnck_application_get_pid ()

    int         wnck_application_get_pid        (WnckApplication *app);

Gets the process ID of an application, or 0 if none is available.

`app` : | a WnckApplication
Returns : | process ID or 0

### wnck_application_get_icon ()

    GdkPixbuf*  wnck_application_get_icon       (WnckApplication *app);

`app` : |
Returns : |

### wnck_application_get_mini_icon ()

    GdkPixbuf*  wnck_application_get_mini_icon  (WnckApplication *app);

`app` : |
Returns : |

### wnck_application_get_icon_is_fallback ()

    gboolean    wnck_application_get_icon_is_fallback
                                                (WnckApplication *app);

Checks if we are using a default fallback icon because none was set on the application.

`app` : |
Returns : | `TRUE` if icon is a fallback

### wnck_application_get_startup_id ()

    const char* wnck_application_get_startup_id (WnckApplication *app);

`app` : |
Returns : |